timeline series data is very hard to access

Bug #399554 reported by Robert Collins on 2009-07-15
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Launchpad itself
Low
Edwin Grubbs

Bug Description

 affects launchpad
 done

This is perhaps most easily documented via an IRC transcript.

11:38 < lifeless> where have our series gone? https://edge.launchpad.net/bzr
11:38 < jml> below the fold!
11:38 < lifeless> ughhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh
11:39 < lifeless> anyone here prefer the old plain text listing?
11:40 < jml> lifeless, I'm suspending judgment on the page until the full 3.0 Uis are in place
11:41 < jml> lifeless, but I do occasionally wonder if the visual tree thing is a solution in search of a problem.
11:41 < mars> jml, :)
11:42 < lifeless> jml: I feel like its a problem in search of a solution right now.
11:44 < mars> lifeless, try this out instead: https://edge.launchpad.net/bzr/+series
11:45 < lifeless> mars: its huge and unweildy
11:46 < mars> oh, I agree, but it does give a nice overview, once you figure out how to scroll it.
11:46 < lifeless> mars: like seriously, its larger than my laptop screen
11:46 < lifeless> mars: I can't scroll it vertically
11:47 < lifeless> mars: and scrolling horizontally is giving me RSI, having to do lots of little drag things
11:47 < mars> lifeless, you have to use the keys or thumb - the canvas element doesn't like mousewheels it appears
11:47 < lifeless> actually, I think its because its in its own frame
11:47 < mars> ah, possibly, yes
11:47 < lifeless> if it was inline in the page it would allow scrolling the entire page
11:48 < lifeless> it doesn't even have a scroll bar on the canvas
11:49 < spiv> I feel like having a "do lots of scrolling around" element on a page that is primarily about "give me an overview at a glance" is not a great fit.
11:50 < lifeless> mars: seriously, give it a spin in the following config: 125x125 DPI screen, 1280x800 screen, browser about 900 pixels wide
11:50 < lifeless> mars: no mouse, trackpad only
11:50 < lifeless> mars: with no middle button or scroll wheel
11:50 < mars> lifeless, yeah, that would not be fun
11:51 < mars> I had to zoom out a couple times to fit it on my widescreen
11:51 < mars> well, at least we learned how to use <canvas>
11:51 < mars> so redoing blueprints should be easier
11:52 < lifeless> mars: as long as its done differently, I'm all for that ;)
11:52 < lifeless> mars: I would note that we use series much more than blueprints, so if you could finish polishing series first...
11:53 < jml> lifeless, +1

Related branches

affects: launchpad → launchpad-registry
tags: added: ui
Curtis Hovey (sinzui) wrote :

Hi Edwin.

This is another issue we need to be sure the timeline widget addresses. I think we should plan an another round of changes by collecting this bug and the other ones to define the most productive improvements we can make.

Changed in launchpad-registry:
assignee: nobody → Edwin Grubbs (edwin-grubbs)
importance: Undecided → Low
milestone: none → 2.2.9
status: New → Triaged
Curtis Hovey (sinzui) on 2009-08-31
Changed in launchpad-registry:
milestone: 3.0 → 3.1.10
Curtis Hovey (sinzui) on 2009-09-09
summary: - series data is very hard to acces
+ timeline series data is very hard to access
Curtis Hovey (sinzui) on 2009-09-25
tags: added: post-3-ui-cleanup
Edwin Grubbs (edwin-grubbs) wrote :

Hi lifeless,

I have attached a mockup attempting to reduce the problems you are experiencing with the timeline graph. I have increased the size of the iframe on the project page, and I have squeezed the items closer together by removing the dates and by reducing the padding.

Edwin Grubbs (edwin-grubbs) wrote :

Here is screenshot showing that the scrollbars are displayed when the mouse is hovering over the iframe. Let me know what you think.

Curtis Hovey (sinzui) wrote :

Hi Edwin. Thanks for working on this. I am happy that this view you are showing does not show dates. Does the +series still show dates?

I think you work does help, but I think we need Martin' involvement to solve the scrolling problem. I understand that this is a grab-and-pan operation, but I want, and most users will expect this to work like scrolling. Maybe the solution is to encourage the the user to see the full history (+series).

Changed in launchpad-registry:
status: Triaged → In Progress

This does look better.

I think you should show the scroll bars all the time.

There's a similar issue on +series or similar.

The other big issue is with the layout of the graph itself, just so
that there is not so much space in the graph being displayed. Maybe
you can have some folded-up sections, so you don't see (the labels of)
the releases until you zoom in? I realize that might take more
development.

Martin Albisetti (beuno) wrote :

On Fri, Oct 2, 2009 at 4:32 PM, Martin Pool <email address hidden> wrote:
> This does look better.
>
> I think you should show the scroll bars all the time.

No :)
It's ugly, and makes it hard to read.

Martin Pool (mbp) wrote :

2009/10/2 Martin Albisetti <email address hidden>:
> On Fri, Oct 2, 2009 at 4:32 PM, Martin Pool <email address hidden> wrote:
>> This does look better.
>>
>> I think you should show the scroll bars all the time.
>
> No  :)
> It's ugly, and makes it hard to read.

Then think of some other way to indicate that you can and should
scroll, and the page is not just broken.

--
Martin <http://launchpad.net/~mbp/>

Robert Collins (lifeless) wrote :

On Fri, 2009-10-02 at 15:41 +0000, Martin Albisetti wrote:
> On Fri, Oct 2, 2009 at 4:32 PM, Martin Pool <email address hidden> wrote:
> > This does look better.
> >
> > I think you should show the scroll bars all the time.
>
> No :)
> It's ugly, and makes it hard to read.

If you need it prettier, look at e.g. the css scroll bars wave uses. I
had the same thought as Martin about showing the scroll bars; it looks
more ugly broken to have a clipped image with no border at all, and
scroll bars provide a clear well understood border.

The basic problem is size-of-data >>>>> real estate being offered.

I'd personally be very happy with no graph at all, just a scrollable
list of the current open series...

Edwin - this is a massive improvement over production.

-Rob

Edwin Grubbs (edwin-grubbs) wrote :

I have split off the request regarding pretty scrollbars into bug 444991. The rest of the changes will land as soon as they are reviewed.

Changed in launchpad-registry:
status: In Progress → Fix Committed

Fixed released in launchpad-project 3.1.10.

Changed in launchpad-registry:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers